# MavenArtifactRepository

API Documentation: | `MavenArtifactRepository`

An artifact repository which uses a Maven format to store artifacts and meta-data.

### Properties

Property | Description
`artifactUrls` | The additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.
`url` | The base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using `MavenArtifactRepository.setArtifactUrls()`.

### Property details

#### ``Set`<`URI`>` `artifactUrls`

The additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

#### `URI` `url`

The base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using `MavenArtifactRepository.setArtifactUrls()`.

### Script blocks

No script blocks

### Methods

Method | Description
`artifactUrls(urls)` | Adds some additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

### Method details

#### `void` `artifactUrls`(``Object`...` urls)

Adds some additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

The provided values are evaluated as per `Project.uri()`. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.